## org.apache.poi.ddf
Class EscherBlipRecord

    java.lang.Object
      org.apache.poi.ddf.EscherRecord
          org.apache.poi.ddf.EscherBlipRecord

Direct Known Subclasses:
  EscherBitmapBlip, EscherBlipWMFRecord, EscherMetafileBlip, EscherPictBlip

    public class EscherBlipRecord

extends EscherRecord

Author:
  Glen Stampoultzis

Field Summary
`protected byte[]` `field_pictureData`
`static java.lang.String` `RECORD_DESCRIPTION`
`static short` `RECORD_ID_END`
`static short` `RECORD_ID_START`

Constructor Summary
`EscherBlipRecord()`

Method Summary
`int` `fillFields(byte[] data, int offset, EscherRecordFactory recordFactory)` The contract of this method is to deserialize an escher record including it's children.
`byte[]` `getPicturedata()`
`java.lang.String` `getRecordName()` Subclasses should return the short name for this escher record.
`int` `getRecordSize()` Subclasses should effeciently return the number of bytes required to serialize the record.
`int` `serialize(int offset, byte[] data, EscherSerializationListener listener)` Serializes the record to an existing byte array.
`void` `setPictureData(byte[] pictureData)`
`java.lang.String` `toString()`

Methods inherited from class org.apache.poi.ddf.EscherRecord
`clone, display, fillFields, getChild, getChildRecords, getInstance, getOptions, getRecordId, getVersion, isContainerRecord, readHeader, readInstance, serialize, serialize, setChildRecords, setInstance, setOptions, setRecordId, setVersion`

Methods inherited from class java.lang.Object
`equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### RECORD_ID_START

    public static final short RECORD_ID_START

See Also:
  Constant Field Values

### RECORD_ID_END

    public static final short RECORD_ID_END

See Also:
  Constant Field Values

### RECORD_DESCRIPTION

    public static final java.lang.String RECORD_DESCRIPTION

See Also:
  Constant Field Values

### field_pictureData

    protected byte[] field_pictureData

Constructor Detail

### EscherBlipRecord

    public EscherBlipRecord()

Method Detail

### fillFields

    public int fillFields(byte[] data,
                          int offset,
                          EscherRecordFactory recordFactory)

  Description copied from class: `EscherRecord`
  The contract of this method is to deserialize an escher record including it's children.

  Specified by:
    `fillFields` in class `EscherRecord`
  Parameters:
    `data` - The byte array containing the serialized escher records.
    `offset` - The offset into the byte array.
    `recordFactory` - A factory for creating new escher records.
  Returns:
    The number of bytes written.

### serialize

    public int serialize(int offset,
                         byte[] data,
                         EscherSerializationListener listener)

  Description copied from class: `EscherRecord`
  Serializes the record to an existing byte array.

  Specified by:
    `serialize` in class `EscherRecord`
  Parameters:
    `offset` - the offset within the byte array
    `data` - the data array to serialize to
    `listener` - a listener for begin and end serialization events. This is useful because the serialization is hierarchical/recursive and sometimes you need to be able break into that.
  Returns:
    the number of bytes written.

### getRecordSize

    public int getRecordSize()

  Description copied from class: `EscherRecord`
  Subclasses should effeciently return the number of bytes required to serialize the record.

  Specified by:
    `getRecordSize` in class `EscherRecord`
  Returns:
    number of bytes

### getRecordName

    public java.lang.String getRecordName()

  Description copied from class: `EscherRecord`
  Subclasses should return the short name for this escher record.

  Specified by:
    `getRecordName` in class `EscherRecord`

### getPicturedata

    public byte[] getPicturedata()

### setPictureData

    public void setPictureData(byte[] pictureData)

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `java.lang.Object`

Copyright 2012 The Apache Software Foundation or its licensors, as applicable.